Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl
Class SurvivorHelperConfig

    java.lang.Object
      com.sun.mdm.index.configurator.impl.SurvivorHelperConfig

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class SurvivorHelperConfig
extends java.lang.Object
implements ConfigurationInfo

Survivor helper configuration object

See Also:
  Serialized Form

Nested Class Summary
`class` | `SurvivorHelperConfig.StrategyConfig` Strategy configuration class

Field Summary
`(package private) static java.lang.String` | `ATR_MODULE_NAME` xml tag for parsing
`(package private) static java.lang.String` | `ATR_NAME` xml tag for parsing
`(package private) static java.lang.String` | `ATR_PARSER_CLASS` xml tag for parsing
`static java.lang.String` | `MODULE_NAME` module type
`(package private) static java.lang.String` | `TAG_CANDIDATE_FIELD` xml tag for parsing
`(package private) static java.lang.String` | `TAG_DEFAULT_SURVIVOR_STRATEGY` xml tag for parsing
`(package private) static java.lang.String` | `TAG_FIELD_NAME` xml tag for parsing
`(package private) static java.lang.String` | `TAG_FIELD_TYPE` xml tag for parsing
`(package private) static java.lang.String` | `TAG_HELPER_CLASS` xml tag for parsing
`(package private) static java.lang.String` | `TAG_MATCH_DEFINITIONS` xml tag for parsing
`(package private) static java.lang.String` | `TAG_PARAMETER` xml tag for parsing
`(package private) static java.lang.String` | `TAG_PARAMETER_NAME` xml tag for parsing
`(package private) static java.lang.String` | `TAG_PARAMETER_TYPE` xml tag for parsing
`(package private) static java.lang.String` | `TAG_PARAMETER_VALUE` xml tag for parsing
`(package private) static java.lang.String` | `TAG_PARAMETERS` xml tag for parsing
`(package private) static java.lang.String` | `TAG_SURVIVOR_CLASS` xml tag for parsing
`(package private) static java.lang.String` | `TAG_SURVIVOR_STRATEGY` xml tag for parsing
`(package private) static java.lang.String` | `TAG_SYSTEM_FIELDS` xml tag for parsing

Constructor Summary
`SurvivorHelperConfig()` Creates new UpdateManagerConfig

Method Summary
`int` | `finish()` Finish.
`SurvivorHelperConfig.StrategyConfig` | `getDefaultStrategy()` Return the default strategy.
`java.util.Map` | `getFieldCache()` Return the list of fields.
`java.lang.String` | `getHelperClassName()` Return helper class name.
`java.lang.String` | `getModuleType()` Return the module type.
`java.util.Map` | `getStrategyCache()` Return the entire strategy cache.
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.
`void` | `setDefaultStrategy(SurvivorHelperConfig.StrategyConfig sc)` Set the default strategy.
`void` | `setHelperClassName(java.lang.String s)` Set helper class name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATR_MODULE_NAME

    static final java.lang.String ATR_MODULE_NAME

  xml tag for parsing

  See Also:
    Constant Field Values

### ATR_NAME

    static final java.lang.String ATR_NAME

  xml tag for parsing

  See Also:
    Constant Field Values

### ATR_PARSER_CLASS

    static final java.lang.String ATR_PARSER_CLASS

  xml tag for parsing

  See Also:
    Constant Field Values

### MODULE_NAME

    public static final java.lang.String MODULE_NAME

  module type

  See Also:
    Constant Field Values

### TAG_CANDIDATE_FIELD

    static final java.lang.String TAG_CANDIDATE_FIELD

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_DEFAULT_SURVIVOR_STRATEGY

    static final java.lang.String TAG_DEFAULT_SURVIVOR_STRATEGY

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_FIELD_NAME

    static final java.lang.String TAG_FIELD_NAME

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_FIELD_TYPE

    static final java.lang.String TAG_FIELD_TYPE

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_HELPER_CLASS

    static final java.lang.String TAG_HELPER_CLASS

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_MATCH_DEFINITIONS

    static final java.lang.String TAG_MATCH_DEFINITIONS

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_PARAMETER

    static final java.lang.String TAG_PARAMETER

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_PARAMETER_NAME

    static final java.lang.String TAG_PARAMETER_NAME

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_PARAMETER_TYPE

    static final java.lang.String TAG_PARAMETER_TYPE

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_PARAMETER_VALUE

    static final java.lang.String TAG_PARAMETER_VALUE

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_PARAMETERS

    static final java.lang.String TAG_PARAMETERS

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_SURVIVOR_CLASS

    static final java.lang.String TAG_SURVIVOR_CLASS

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_SURVIVOR_STRATEGY

    static final java.lang.String TAG_SURVIVOR_STRATEGY

  xml tag for parsing

  See Also:
    Constant Field Values

### TAG_SYSTEM_FIELDS

    static final java.lang.String TAG_SYSTEM_FIELDS

  xml tag for parsing

  See Also:
    Constant Field Values

Constructor Detail

### SurvivorHelperConfig

    public SurvivorHelperConfig()

  Creates new UpdateManagerConfig

Method Detail

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getDefaultStrategy

    public SurvivorHelperConfig.StrategyConfig getDefaultStrategy()

  Return the default strategy.

  Returns:
    Return the default strategy.

### getFieldCache

    public java.util.Map getFieldCache()

  Return the list of fields.

  Returns:
    Return the list of fields

### getHelperClassName

    public java.lang.String getHelperClassName()

  Return helper class name.

  Returns:
    Return helper class name.

### getModuleType

    public java.lang.String getModuleType()

  Return the module type.

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    the module type

### getStrategyCache

    public java.util.Map getStrategyCache()

  Return the entire strategy cache.

  Returns:
    Return the entire strategy cache.

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

### setDefaultStrategy

    public void setDefaultStrategy(SurvivorHelperConfig.StrategyConfig sc)

  Set the default strategy.

  Parameters:
    `sc` - Strategy configuration for default strategy.

### setHelperClassName

    public void setHelperClassName(java.lang.String s)

  Set helper class name.

  Parameters:
    `s` - helper class name

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.